import { Command, flags } from '@contentstack/cli-command';
export default class SeedCommand extends Command {
    static description: string;
    static examples: string[];
    static usage: string;
    static flags: {
        repo: flags.IOptionFlag<string | undefined>;
        org: flags.IOptionFlag<string | undefined>;
        'stack-api-key': flags.IOptionFlag<string | undefined>;
        'stack-name': flags.IOptionFlag<string | undefined>;
        'fetch-limit': flags.IOptionFlag<string | undefined>;
        yes: flags.IOptionFlag<string | undefined>;
        stack: flags.IOptionFlag<string | undefined>;
    };
    static aliases: string[];
    run(): Promise<{
        api_key: string;
    } | undefined>;
}
